import type { GatsbyConfig } from "gatsby";

require("dotenv").config({
  path: `.env.${process.env.NODE_ENV}`,
})
module.exports = {
  flags: {
    DEV_SSR: true
  },
  plugins: [
    // "gatsby-plugin-webpack-bundle-analyser-v2",
    `gatsby-plugin-image`,
    `gatsby-plugin-sharp`,
    `gatsby-transformer-sharp`,
  ]
}

const config: GatsbyConfig = {
  siteMetadata: {
    title: `ssr-showcase`,
    siteUrl: `https://www.yourdomain.tld`
  },

  graphqlTypegen: true,
  plugins: ["gatsby-plugin-postcss", "gatsby-transformer-sharp", "gatsby-plugin-image"]
};


export default config;
