export type Country = string

export const ResponseStatus = {
    sucess: 200,
    notFound: 404,
    internalError: 500,
    noResponse: 0
} as const;

export interface FetchResult {
    data: ImgurDataResponse[],
    sucess: Boolean,
    status: typeof ResponseStatus[keyof typeof ResponseStatus],
}
export interface Data {
    account_id: null | string;
    account_url: null | string;
    ad_type: number;
    ad_url: string;
    animated: boolean;
    bandwidth: number;
    datetime: number;
    description: null | string;
    edited: string;
    favorite: boolean;
    has_sound: boolean;
    height: number;
    id: string;
    in_gallery: boolean;
    in_most_viral: boolean;
    is_ad: boolean;
    link: string;
    nsfw: null | boolean;
    section: null | string;
    size: number;
    tags: string[];
    title: null | string;
    type: string;
    views: number;
    vote: null | boolean | string;
    width: number;
}
interface ImgurDataResponse {
    description: null | string;
    edited: string;
    height: number;
    link: string;
    title: null | string;
    type: string;
    width: number;
}

